Loading...
Searching...
No Matches
Opm::SimulatorReportSingle Struct Reference

A struct for returning timing data from a simulator to its caller. More...

`#include <SimulatorReport.hpp>`

## Public Member Functions

bool | operator== (const SimulatorReportSingle &) const
void | operator+= (const SimulatorReportSingle &sr)
| Increment this report's times by those in sr.
void | reportStep (std::ostream &os) const
| Print a report suitable for a single simulation step.
void | reportFullyImplicit (std::ostream &os, const SimulatorReportSingle *failedReport=nullptr) const
| Print a report suitable for the end of a fully implicit case, leaving out the pressure/transport time.
void | reportNLDD (std::ostream &os, const SimulatorReportSingle *failedReport=nullptr) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static SimulatorReportSingle | serializationTestObject ()

## Public Attributes

double | pressure_time = 0.0
double | transport_time = 0.0
double | total_time = 0.0
double | solver_time = 0.0
double | assemble_time = 0.0
double | pre_post_time = 0.0
double | assemble_time_well = 0.0
double | linear_solve_setup_time = 0.0
double | linear_solve_time = 0.0
double | local_solve_time = 0.0
double | update_time = 0.0
double | output_write_time = 0.0
unsigned int | total_well_iterations = 0
unsigned int | total_linearizations = 0
unsigned int | total_newton_iterations = 0
unsigned int | total_linear_iterations = 0
unsigned int | min_linear_iterations = std::numeric_limits<unsigned int>::max()
unsigned int | max_linear_iterations = 0
bool | converged = false
bool | time_step_rejected = false
bool | well_group_control_changed = false
int | exit_status = EXIT_SUCCESS
double | global_time = 0.0
double | timestep_length = 0.0
int | num_domains = 0
int | num_wells = 0
int | num_overlap_cells = 0
int | num_owned_cells = 0
int | converged_domains = 0
int | unconverged_domains = 0
int | accepted_unconverged_domains = 0
int | skipped_domains = 0

## Detailed Description

A struct for returning timing data from a simulator to its caller.

The documentation for this struct was generated from the following files:

- opm/simulators/timestepping/SimulatorReport.hpp
- opm/simulators/timestepping/SimulatorReport.cpp